On This Page
Reactivating a Suspended Subscription
You can reactivate a suspended subscription for the next billing cycle. You cannot
reactivate a canceled or completed subscription.
You can specify whether you want to
process missed payments for the period during which the subscription was suspended
by setting the
processMissedPayments
query parameter to
true
or false
. If no value is specified, the
system will default to true
. IMPORTANT
The
processMissedPayments
query parameter is only effective when
the Ask each time before reactivating
option is selected in the reactivation
settings. If any other option is chosen, the value provided in the request will be
ignored by the system. For more information, see
the
Recurring Billing User
Guide
.
You can check how many payments were missed and the total amount by
retrieving the subscription details, where you will find the
reactivationInformation
object. See Retrieving a Subscription. Follow these steps to
re-activate a subscription:
- In the endpoint path, include the subscription ID that you received when you retrieved a list of subscriptions.
- (Optional) Specify whether you want to process skipped payments by setting theprocessMissedPaymentsquery parameter totrueorfalse. By default it is set to true. When any option other thanAsk each time before reactivatingis selected in the reactivation settings, the value that you enter will be ignored.
- Send the request to the recurring billing endpoint:Test:POST https://apitest.merchant-services.bankofamerica.com/rbs/v1/subscriptions/{id}/activate?processMissedPayments={true|false}Production:POST https://api.merchant-services.bankofamerica.com/rbs/v1/subscriptions/{id}/activate?processMissedPayments={true|false}
AFTER COMPLETING THE TASK
For more details, see the Reactivate a Subscription section of the interactive API
Reference.
REST Examples: Reactivating a Suspended Subscription
Response to a Successful Request
{ "_links": { "self": { "href": "/rbs/v1/subscriptions/6149715492756032001956", "method": "GET" }, "update": { "href": "/rbs/v1/subscriptions/6149715492756032001956", "method": "PATCH" }, "cancel": { "href": "/rbs/v1/subscriptions/6149715492756032001956/cancel", "method": "POST" }, "suspend": { "href": "/rbs/v1/subscriptions/6149715492756032001956/suspend", "method": "POST" } }, "id": "6149715492756032001956", "status": "COMPLETED", "subscriptionInformation": { "code": "AWC-35", "status": "ACTIVE" } }
Response to an Unsuccessful Request
{ "status": "INVALID_REQUEST", "reason": "INVALID_DATA", "message": "The subscription cannot be reactivated at this time.", "details": [ { "field": "subscriptionInformation.status", "reason": "INVALID_FOR_ACTIVATION" } ] }